<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Model;

class SaleDetail extends Model
{
    //use HasFactory;
    protected $guarded = [];

    // Rel 1: Este detalle pertenece a una Venta específica
    public function sale()
    {
        return $this->belongsTo(Sale::class);
    }

    // Rel 2: Este detalle pertenece a un Producto
    public function product()
    {
        return $this->belongsTo(Product::class);
    }
}